apiVersion: kafka.strimzi.io/v1beta2
kind: Kafka
metadata:
  name: mbox-cluster
spec:
  kafka:
    version: 3.4.0
    replicas: 3
    resources:
      requests:
        memory: 4Gi
        cpu: "2"
      limits:
        memory: 8Gi
        cpu: "4"
    listeners:
      - name: external
        type: loadbalancer
        tls: false
        port: 9092
        configuration:
          bootstrap:
            loadBalancerIP: 10.42.42.238
#      - name: plain
#        port: 9092
#        type: internal
#        tls: false
#      - name: tls
#        port: 9093
#        type: internal
#        tls: true
    config:
      offsets.topic.replication.factor: 3
      transaction.state.log.replication.factor: 3
      transaction.state.log.min.isr: 2
      default.replication.factor: 3
      min.insync.replicas: 2
      inter.broker.protocol.version: "3.4"
    storage:
      type: jbod
      volumes:
      - id: 0
        type: persistent-claim
        size: 100Gi
        deleteClaim: false
  zookeeper:
    replicas: 3
    resources:
      requests:
        memory: 4Gi
        cpu: "2"
      limits:
        memory: 8Gi
        cpu: "4"
    storage:
      type: persistent-claim
      size: 100Gi
      deleteClaim: false
  entityOperator:
    topicOperator: {}
    userOperator: {}
    template:
      topicOperatorContainer:
        env:
        - name: STRIMZI_USE_ZOOKEEPER_TOPIC_STORE
          value: "true"
